/*
 * ValidarEntidades.java
 *
 * Created on 25 de marzo de 2007, 03:44 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.fidufosyga.context.Context;

/**
 * 
 * @author 
 */
public class ValidarEntidades extends AbstractRule {
	public static final String ENTIDADES = "ENTIDADES";

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (Context.getContext().getAttribute(ENTIDADES) == null) {
			Properties defaultProps = new Properties();
			FileInputStream in;

			try {

				in = new FileInputStream(System.getProperty("user.dir")
						+ File.separator + "entidades" + File.separator
						+ "entidades.properties");
				defaultProps.load(in);
				in.close();
				Context.getContext().addAttribute(ENTIDADES, defaultProps);

			} catch (FileNotFoundException e) {

				return false;
			} catch (IOException e) {

				return false;

			}

		}
		if (((Properties) Context.getContext().getAttribute(ENTIDADES))
				.getProperty(field) != null) {
			return false;
		}
		return true;
	}
}
